<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui">

	<ui:define name="page_title">
		Consultar Estabelecimentos
	</ui:define>

	<ui:define name="content">
		<div class="row">
			<div class="col-md-12">
				<h4 class="title">Estabelecimentos Comerciais</h4>
				<p class="category">Visualize produtos a partir de um estabelecimento Comercial</p>
				<br />
					<ui:include src="/map-from-json.xhtml"></ui:include>
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<!--Here you can write extra buttons/actions for the toolbar-->
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{estabelecimentoBean.estabelecimentos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables-estabelecimentos">
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="CNPJ" /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.cnpj}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="NOME" />
									</f:facet>
									<h:outputText value="#{item.nomeFantasia}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="ENDEREÇO" />
									</f:facet>
									<h:outputText value="#{item.idEndereco.logradouro}, #{item.idEndereco.numero} - #{item.idEndereco.bairro} - #{item.idEndereco.cep}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="estabelecimento-detalhe">
										<f:param name="id" value="#{item.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
		</div>
		<!-- end row -->
		
		<h:outputScript>
	$(document).ready(function() {
		$.get("/rest/service/estabcomendereco", function(data){
		  $("#listacompras-estabelecimentos").typeahead({ source:data });
		},'json');
		//datatables-estabelecimentos
			 $('#datatables-estabelecimentos').DataTable({
						 "pagingType": "numbers",
						 responsive: true,
						 ordering: false,
						 "bLengthChange": false,
						 language: {
							 search: "_INPUT_",
							 searchPlaceholder: "Filtrar",
							 "url": "/resources/json/Portuguese-Brasil.json"
					 }
				 });
	});
</h:outputScript>
	</ui:define>
</ui:composition>
